Docs
Product Repository APIProduct

Execute filter by IDBeta

Security groups:Rule Engineers
POST
/products/filters/{filterId}

Executes a saved filter and returns a paged list of matching products.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

filterId*string

The unique UUID identifier of the Filter. Must be a valid UUID format.

FormatUUID

Query Parameters

detail?string

Controls how much product data is included: Small returns basic fields, Medium adds customs data, Large returns the full record.

Default"Small"
Value in"Small" | "Medium" | "Large"
size?integer

Number of products to return per page.

Default10
Formatint32
Range10 <= value <= 1000
cursor?string

Pagination token returned in a previous response. Provide it together with direction to retrieve the next or previous page of results.

Length1 <= length
direction?string

Pagination direction. Use NEXT to move forward or PREV to move backward. Must be provided together with cursor.

Value in"PREV" | "NEXT"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/products/filters/string"
{
  "data": {
    "tablet_ab103": {
      "detail": "Large",
      "productId": "ProductId-ABC",
      "lastModifiedDate": "2024-10-01",
      "applicationTags": [
        "VAT-RULES"
      ],
      "shopIds": [
        5000,
        5002
      ],
      "version": 1,
      "languageAttributes": {
        "de": {
          "productName": "Samsung Galaxy Tab S7 FE, 12,4 Zoll, 64 GB interner Speicher,  4 GB RAM, Wi-Fi, Android Tablet inklusive S pen, Mystic Black\n",
          "productDescription": "Genieße die brillanten Farben des 31,50 cm / 12,4-Zoll-Displays*  des Galaxy Tab S7 FE Wi-Fi. Der lebendige Bildschirm lässt Details  erstrahlen, und das Kinoerlebnis wird durch den unglaublichen Sound  by AKG verstärkt. Ausgestattet mit einem leistungsstarken Snapdragon  750G Chipset sorgt das Galaxy Tab S7 FE Wi-Fi für flüssiges und  schnelles Streaming und Gaming. Du kannst mühelos Multitasking betreiben  und bis zu drei Apps auf einmal starten Stunde um Stunde vergeht, bevor  du den 10.090 mAh-Akku** (typisch) aufladen musst. Beim Anschauen von  Videos hält er bis zu 13 Stunden durch, sodass du genug Zeit für einen  Serienmarathon hast. Der mitgelieferte S Pen mit niedriger Latenz bietet  ein weiches Schreibgefühl. Mehr: In Echtzeit wandelt er Hand-in  Druckschrift und du kannst Text einfach bearbeiten, dann legst du ihn  an der Magnethalterungab, sodass er sich selbst auflädt. Tauche in die  Farbpracht des 31, 50 cm / 12, 4 Displays* des Galaxy Tab S7 FE Wi-Fi |  Tab S7 FE 5G ein. Erlebe aufregende Film-Momente mit Sound by AKG und  freue dich auf ein farbenfrohes Display, das jede Menge Details förmlich  zum Leben erweckt. Die Dual-Lautsprecher und Dolby Atmos können außerdem  für einen raumfüllenden Surround Sound sorgen, sodass du das Gefühl hast,  mitten im Geschehen zu sein.\n",
          "productTags": [
            "Computers",
            "PCs & Laptops"
          ],
          "merchantProductAttributes": {
            "exe_2311212411415421": "merchant attribute DE"
          }
        },
        "en": {
          "productName": "Samsung Galaxy Tab S7 Fe, 12.4 Inch, 64 GB Internal Memory, 4 GB RAM,  Wi-Fi, Android Tablet including S Pen, Mystic Black\n",
          "productDescription": "Enjoy the brilliant colours of the Galaxy Tab S7 FE Wi-Fi  12.4 inch / 31.50 cm display. The vivid screen lets details  shine and the cinema experience is enhanced by the incredible  sound by AKG Equipped with a powerful Snapdragon 750G chip set,  the Galaxy Tab S7 FE Wi-Fi ensures smooth and fast streaming and  gaming. You can effortlessly multitask and launch up to three  apps at once Hour after hour before you need to recharge the  10.090 mAh battery (typical). When watching videos, it lasts up  to 13 hours, so you have enough time for a series marathon. The  included low-latency S pen provides a smooth writing experience.  More: In real time, it converts handwriting into print font and  you can easily edit text, then put it on the magnetic holder so  that it recharges itself. Immerse yourself in the colour splendour  of the 31.50 cm / 12.4 inch display of the Galaxy Tab S7 FE Wi-Fi  | Tab S7 FE 5G. Experience exciting movie moments with Sound by AKG  and look forward to a colourful display that literally brings any  amount of detail to life. The dual speakers and Dolby Atmos can  also provide a room-filling surround sound, so you feel like  you're in the middle of the action.\n",
          "productTags": [
            "Computers",
            "PCs & Laptops"
          ],
          "merchantProductAttributes": {
            "exe_2311212411415421": "merchant attribute EN"
          }
        }
      },
      "customsCodes": {
        "customsTariffCode": "84713090",
        "taricCode": "8471309000",
        "eztCode": "49968253966",
        "taresCode": "12345678",
        "ukgtCode": "5306378299",
        "tolletatenCode": "12345678",
        "eClearCode": {
          "code": "1234567890-00-711",
          "taxonomy": "TARIC"
        }
      },
      "manufacturerName": "Samsung",
      "productUids": {
        "asin": "B09BJV8MBW"
      },
      "customs": {
        "physicalMeasure": {
          "unit": "gram",
          "amount": 610
        },
        "countryOfOrigin": "KR",
        "btiId": "DE-845623895",
        "measureCondition": {
          "taric": [
            "X110",
            "Y200"
          ]
        }
      },
      "productAssignments": [
        "https://eclear-solutions/assignments/aea4cd6d-6dde-4f3d-8abd-cd4c8f996bed",
        "https://eclear-solutions/assignments/fea4cd6d-7dde-5f3d-9abd-dd4c8f996caf"
      ]
    }
  },
  "links": {
    "prev": "example.com/prev",
    "next": "example.com/next"
  }
}
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}